Bug 1142113 - As a user, I would like my Pulp logs to go to logical locations
Summary: As a user, I would like my Pulp logs to go to logical locations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On: 1145723
Blocks: sat6-pulp-future 1175448
TreeView+ depends on / blocked
 
Reported: 2014-09-16 07:58 UTC by Stephen Benjamin
Modified: 2019-09-26 13:50 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1145723 (view as bug list)
Environment:
Last Closed: 2016-07-27 09:11:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC
Pulp Redmine 542 High CLOSED - CURRENTRELEASE As a user, I would like my Pulp logs to go to logical locations Never

Description Stephen Benjamin 2014-09-16 07:58:43 UTC
Description of problem:
/var/log/pulp is full of empty log files for pulp and the workers.  All logs go to /var/log/messages or the journal (on rhel 7). We should use /var/log/pulp instead.


Version-Release number of selected component (if applicable):
6.0.4 GA

Comment 1 RHEL Product and Program Management 2014-09-16 08:03:17 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Michael Hrivnak 2014-09-26 14:28:00 UTC
I don't think pulp upstream should use /var/log/pulp/. We are currently using the standard log facilities given to us by the OS, and we have an explanation for our logging approach here: 

https://pulp-user-guide.readthedocs.org/en/latest/troubleshooting.html#logging

As for the empty log files in /var/log/pulp, we are required by celery to have them. If there is an error during startup of a celery process, before it switches to the system log facility, it will log that error to its file in /var/log/pulp/.

All of that said, it could be appropriate for the downstream product to use a rsyslog rule to redirect log messages to a file. There have been multiple previous discussions about why pulp cannot do that upstream.

I suggest either closing this bug, or please provide a more detailed request.

Comment 4 Stephen Benjamin 2014-09-26 14:49:57 UTC
Why exactly are they required by celery? Certainly that must be fixable?  

My preference would be those files go away on rhel 7 and on el6, ship the rsyslog rule to use /var/log/pulp.

I don't think this should be closed at all, are those two things really impossible upstream?


I've seen lots of Satellite users confused by the presence of these empty log files.

Comment 5 Randy Barlow 2014-10-01 16:26:04 UTC
As is, Celery will not start without being given some place to log, and it does not support syslog by default. Believe it or not, it is important that we continue to have these log files as this is where startup errors will be logged. If Celery is unable to start Pulp, error messages about that will go to those files. This is very similar to Apache's error_log. If Apache cannot start Pulp, it will log to /var/log/httpd/{ssl_,}error_log.

Once Celery starts Pulp, Pulp will configure logging (i.e., redirect all logging to syslog).

I have two ideas to make this clearer to users:

1) We could rename the log files to include the word "startup". For example, reserved_resource_worker-0-startup.log or similar.

2) We may be able to inject one log statement to those log files just before configuring logging that says something like "initial startup successful, redirecting logs to syslog."

How does that sound?

Comment 6 Stephen Benjamin 2014-10-14 16:49:07 UTC
Yea, thanks, I think that would work. 1 and 2 together would resolve the issue.

Comment 7 Michael Hrivnak 2014-12-17 20:23:25 UTC
The upstream bug is fixed against pulp 2.6.0, so it will be in sat 6.1.

Comment 9 pulp-infra@redhat.com 2015-04-23 16:40:11 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 10 Bryan Kearney 2016-01-04 14:01:51 UTC
Based on the comments above, moving this to POST. This can be verified against any Satellite 6.1.+ instance.

Comment 13 jcallaha 2016-04-04 20:39:03 UTC
Verified in Satellite 6.2 Beta Snap 6 Compose 1.

Comment 15 errata-xmlrpc 2016-07-27 09:11:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.